/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CCachedFont.h

  Description :	

  Last Modified $Date: 2007/01/03 05:31:14 $

  $Revision: 1.1 $

*******************************************************************************/
#ifndef CCACHEDFONT_H_
#define CCACHEDFONT_H_

#include "CFont.h"
#include "CCachedBase.h"

class CCachedFont : public CFont, public CCachedBase
{
	public: /* Constructors & destructors */
	
		CCachedFont(CString resourcePath, u32 size);
		virtual ~CCachedFont();
		
	public: /* Inherited from CCachedBase */
	
		virtual u32 getMagicNumber() { return 0xf027ca58; }
		virtual CString getCacheExtension();
		virtual bool initFromSource();
		virtual bool initFromCache();
		virtual bool cache();
};

#endif /*CCACHEDFONT_H_*/
