#include "CCertHashSet.h"
#include <ext/hash_fun.h>

size_t stdCertHash::operator()(VX509CertificateRef aCertRef) const
{
	static __gnu_cxx::hash<const char*> hashFnc;
	return hashFnc(aCertRef->getCommonName().c_str());
}

bool stdCertCmp::operator()(const VX509CertificateRef c1, const VX509CertificateRef c2) const
{
	return c1->equals(c2);
}
