/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	main_globals.c

  Description :	

  Last Modified $Date: 2007/02/04 21:55:40 $

  $Revision: 1.2 $

*******************************************************************************/

//******************************************************************************
//   Include Files
//******************************************************************************
#include <pspkerneltypes.h>

//******************************************************************************
//   Constants
//******************************************************************************
#define PSPOSTE_HEAP_SIZE_MB 12
#define CONN_MAN_THREAD_STACK_SIZE 0x2000
#define USER_THREAD_STACK_SIZE 0x40000
#define RETRIEVER_THREAD_STACK_SIZE 0x40000
#define SENDER_THREAD_STACK_SIZE 0x40000

//******************************************************************************
//   Prototypes
//******************************************************************************
int user_main(SceSize argc, void* argp);

//******************************************************************************
//   Global Variables
//******************************************************************************
extern char s_ebootPath[];
